Package org.apache.felix.http.jakartawrappers

# Class SessionCookieConfigWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.SessionCookieConfigWrapper

All Implemented Interfaces:
  `jakarta.servlet.SessionCookieConfig`

public class SessionCookieConfigWrapper extends Object implements jakarta.servlet.SessionCookieConfig
Session cookie config wrapper

## Constructor Summary

Constructors
Constructor
Description
`SessionCookieConfigWrapper(javax.servlet.SessionCookieConfig c)`
Create new config

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String name)`
`Map<String,String>`
`getAttributes()`
`String`
`getComment()`
`String`
`getDomain()`
`int`
`getMaxAge()`
`String`
`getName()`
`String`
`getPath()`
`boolean`
`isHttpOnly()`
`boolean`
`isSecure()`
`void`
`setAttribute(String name, String value)`
`void`
`setComment(String comment)`
`void`
`setDomain(String domain)`
`void`
`setHttpOnly(boolean httpOnly)`
`void`
`setMaxAge(int maxAge)`
`void`
`setName(String name)`
`void`
`setPath(String path)`
`void`
`setSecure(boolean secure)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionCookieConfigWrapper

public SessionCookieConfigWrapper(@NotNull javax.servlet.SessionCookieConfig c)
Create new config

Parameters:
  `c` - Wrapped config

## Method Details

### setName

public void setName(String name)

Specified by:
  `setName` in interface `jakarta.servlet.SessionCookieConfig`

### getName

public String getName()

Specified by:
  `getName` in interface `jakarta.servlet.SessionCookieConfig`

### setDomain

public void setDomain(String domain)

Specified by:
  `setDomain` in interface `jakarta.servlet.SessionCookieConfig`

### getDomain

public String getDomain()

Specified by:
  `getDomain` in interface `jakarta.servlet.SessionCookieConfig`

### setPath

public void setPath(String path)

Specified by:
  `setPath` in interface `jakarta.servlet.SessionCookieConfig`

### getPath

public String getPath()

Specified by:
  `getPath` in interface `jakarta.servlet.SessionCookieConfig`

### setComment

public void setComment(String comment)

Specified by:
  `setComment` in interface `jakarta.servlet.SessionCookieConfig`

### getComment

public String getComment()

Specified by:
  `getComment` in interface `jakarta.servlet.SessionCookieConfig`

### setHttpOnly

public void setHttpOnly(boolean httpOnly)

Specified by:
  `setHttpOnly` in interface `jakarta.servlet.SessionCookieConfig`

### isHttpOnly

public boolean isHttpOnly()

Specified by:
  `isHttpOnly` in interface `jakarta.servlet.SessionCookieConfig`

### setSecure

public void setSecure(boolean secure)

Specified by:
  `setSecure` in interface `jakarta.servlet.SessionCookieConfig`

### isSecure

public boolean isSecure()

Specified by:
  `isSecure` in interface `jakarta.servlet.SessionCookieConfig`

### setMaxAge

public void setMaxAge(int maxAge)

Specified by:
  `setMaxAge` in interface `jakarta.servlet.SessionCookieConfig`

### getMaxAge

public int getMaxAge()

Specified by:
  `getMaxAge` in interface `jakarta.servlet.SessionCookieConfig`

### getAttribute

public String getAttribute(String name)

Specified by:
  `getAttribute` in interface `jakarta.servlet.SessionCookieConfig`

### getAttributes

public Map<String,String> getAttributes()

Specified by:
  `getAttributes` in interface `jakarta.servlet.SessionCookieConfig`

### setAttribute

public void setAttribute(String name, String value)

Specified by:
  `setAttribute` in interface `jakarta.servlet.SessionCookieConfig`